CREATE ACCESS METHOD(7)

NAME
CREATE_ACCESS_METHOD - define a new access method

SYNOPSIS

CREATE ACCESS METHOD name
    TYPE access_method_type
    HANDLER handler_function

DESCRIPTION

CREATE ACCESS METHOD creates a new access method.

The access method name must be unique within the database.

Only superusers can define new access methods.

PARAMETERS

name
    The name of the access method to be created.

access_method_type
    This clause specifies type of access method to define. Only INDEX is supported at present.

HANDLER handler_function
    handler_function is the name of a previously registered function that will be called to retrieve the struct which contains required parameters and functions of access method to the core. The handler function must take single argument of type internal, and its return type depends on the type of access method; for INDEX access methods, it must be index_am_handler.

    See Section 58.1, “Basic API Structure for Indexes”, in the documentation for index access methods API.

EXAMPLES

Create an access method heptree with handler function heptree_handler:

    CREATE ACCESS METHOD heptree TYPE INDEX HANDLER heptree_handler;

COMPATIBILITY

CREATE ACCESS METHOD is a PostgreSQL extension.

SEE ALSO
DROP ACCESS METHOD (DROP_ACCESS_METHOD(7)), CREATE OPERATOR CLASS (CREATE_OPERATOR_CLASS(7)), CREATE OPERATOR FAMILY (CREATE_OPERATOR_FAMILY(7))